Skip to main content
PUT
/
dashboards
/
uid
/
{uid}
Update dashboard
curl --request PUT \
  --url https://api.axiom.co/v2/dashboards/uid/{uid} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "dashboard": {
    "name": "<string>",
    "owner": "<string>",
    "charts": [
      {
        "id": "<string>",
        "type": "TimeSeries",
        "query": {
          "apl": "<string>",
          "queryOptions": {
            "displayNull": "auto",
            "overlayCharts": "true",
            "shownColumns": "<string>",
            "timeSeriesVariant": "area",
            "timeSeriesView": "charts"
          }
        },
        "name": "<string>"
      }
    ],
    "layout": [
      {
        "i": "<string>",
        "x": 5,
        "y": 4503599627370495,
        "w": 6,
        "h": 50,
        "minW": 6,
        "minH": 50.25,
        "maxW": 6,
        "maxH": 50,
        "static": true
      }
    ],
    "refreshTime": 15,
    "schemaVersion": 2,
    "timeWindowStart": "<string>",
    "timeWindowEnd": "<string>",
    "description": "<string>",
    "against": "-1h",
    "againstTimestamp": "<string>",
    "uid": "<string>"
  },
  "message": "<string>",
  "overwrite": false,
  "uid": "<string>",
  "version": 123
}
'
{
  "dashboard": {
    "createdAt": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "dashboard": {
      "name": "<string>",
      "owner": "<string>",
      "charts": [
        {
          "id": "<string>",
          "type": "TimeSeries",
          "query": {
            "apl": "<string>",
            "queryOptions": {
              "displayNull": "auto",
              "overlayCharts": "true",
              "shownColumns": "<string>",
              "timeSeriesVariant": "area",
              "timeSeriesView": "charts"
            }
          },
          "name": "<string>"
        }
      ],
      "layout": [
        {
          "i": "<string>",
          "x": 5,
          "y": 4503599627370495,
          "w": 6,
          "h": 50,
          "minW": 6,
          "minH": 50.25,
          "maxW": 6,
          "maxH": 50,
          "static": true
        }
      ],
      "refreshTime": 15,
      "schemaVersion": 2,
      "timeWindowStart": "<string>",
      "timeWindowEnd": "<string>",
      "description": "<string>",
      "against": "-1h",
      "againstTimestamp": "<string>",
      "uid": "<string>"
    },
    "id": "<string>",
    "uid": "<string>",
    "updatedAt": "2023-11-07T05:31:56Z",
    "updatedBy": "<string>",
    "version": 123
  },
  "status": "created",
  "overwritten": true
}

Authorizations

Authorization
string
header
required

Authenticate using an API token or personal access token (PAT). Include the token as a Bearer token: Authorization: Bearer <token>. For more information, see Tokens.

Path Parameters

uid
string
required

Body

application/json
dashboard
object
required
message
string
overwrite
boolean
default:false
uid
string

Stable external dashboard identifier (org-scoped unique).

version
integer<int64>

Required for updates when overwrite is false.

Response

Updated dashboard

dashboard
object
required
status
enum<string>
required
Available options:
created,
updated
overwritten
boolean